#!/bin/bash

set -e
set -x

CACHE=${HOME}/.cache/rust2rpm
#cargo package --allow-dirty
mkdir -p ${CACHE}
for f in $(pwd)/target/package/*.crate ; do
    echo $f
    SYMLINK=${CACHE}/$(basename "$f")
    if [ -L "${SYMLINK}" ] ; then
        rm -f "${SYMLINK}"
    fi
    ln -s "$f" "${SYMLINK}"
    if [[ "$(basename "$f")" =~ (.*)-(.*).crate ]] ; then
        NAME=${BASH_REMATCH[1]}
        VERSION=${BASH_REMATCH[2]}
        rust2rpm --stdout ${NAME} ${VERSION} > rust-${NAME}-${VERSION}.spec
    fi
done
